#include <iomanip>
#include "zfstream.h"

int
main()
{
gzofstream fout("testout.gz", ios::out);
  fout << setlevel(9) << "Hello, World!"    << endl;
  fout << setlevel(0) << "[Not Compressed]" << endl;
  fout << setlevel(9);
  fout << setw(50) << setfill('#') << "A String" << endl
       << setprecision(12) << 1.1234567890123456789012345 << endl;
  fout.close();
  return 0;
}
